summaryrefslogtreecommitdiffstats
path: root/perl
diff options
context:
space:
mode:
author LEVAI Daniel2013-03-12 23:35:59 +0100
committer dsomero2013-03-22 12:16:45 +0100
commitd39ebe30f4faf36b700ac4d2b5d209a40f762a03 (patch)
treef2d664ffb8bd739edd3c251d137eb23afe78e45a /perl
parentf300d2d29e2dc55e124046adff83bd68279c202b (diff)
downloadslackbuilds-d39ebe30f4faf36b700ac4d2b5d209a40f762a03.tar.gz
perl/perl-Text-Diff: Added (Perform diffs on files and record sets)
Signed-off-by: dsomero <xgizzmo@slackbuilds.org>
Diffstat (limited to 'perl')
-rw-r--r--perl/perl-Text-Diff/README6
-rw-r--r--perl/perl-Text-Diff/perl-Text-Diff.SlackBuild80
-rw-r--r--perl/perl-Text-Diff/perl-Text-Diff.info10
-rw-r--r--perl/perl-Text-Diff/slack-desc19
4 files changed, 115 insertions, 0 deletions
diff --git a/perl/perl-Text-Diff/README b/perl/perl-Text-Diff/README
new file mode 100644
index 0000000000..8d921a9a1e
--- /dev/null
+++ b/perl/perl-Text-Diff/README
@@ -0,0 +1,6 @@
+perl-Text-Diff (Perform diffs on files and record sets)
+diff() provides a basic set of services akin to the GNU diff utility.
+It is not anywhere near as feature complete as GNU diff, but it is
+better integrated with Perl and available on all platforms.
+It is often faster than shelling out to a system's diff executable for
+small files, and generally slower on larger files.
diff --git a/perl/perl-Text-Diff/perl-Text-Diff.SlackBuild b/perl/perl-Text-Diff/perl-Text-Diff.SlackBuild
new file mode 100644
index 0000000000..3c665d7d5a
--- /dev/null
+++ b/perl/perl-Text-Diff/perl-Text-Diff.SlackBuild
@@ -0,0 +1,80 @@
+#!/bin/sh
+
+PRGNAM=perl-Text-Diff
+VERSION=${VERSION:-1.41}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+SRCNAM="$(printf $PRGNAM | cut -d- -f2-)"
+
+if [ -z "$ARCH" ]; then
+ case "$( uname -m )" in
+ i?86) ARCH=i486 ;;
+ arm*) ARCH=arm ;;
+ *) ARCH=$( uname -m ) ;;
+ esac
+fi
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "i486" ]; then
+ SLKCFLAGS="-O2 -march=i486 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "i686" ]; then
+ SLKCFLAGS="-O2 -march=i686 -mtune=i686"
+ LIBDIRSUFFIX=""
+elif [ "$ARCH" = "x86_64" ]; then
+ SLKCFLAGS="-O2 -fPIC"
+ LIBDIRSUFFIX="64"
+else
+ SLKCFLAGS="-O2"
+ LIBDIRSUFFIX=""
+fi
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf $SRCNAM-$VERSION
+tar xvf $CWD/$SRCNAM-$VERSION.tar.gz
+cd $SRCNAM-$VERSION
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+perl Makefile.PL \
+ PREFIX=/usr \
+ INSTALLDIRS=vendor \
+ INSTALLVENDORMAN3DIR=/usr/man/man3
+make
+make test
+make install DESTDIR=$PKG
+
+find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
+ | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+
+find $PKG/usr/man -type f -exec gzip -9 {} \;
+for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
+
+find $PKG -name perllocal.pod -o -name ".packlist" -o -name "*.bs" | xargs rm -f || true
+
+find $PKG -depth -type d -empty -delete || true
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ Changes README \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.${PKGTYPE:-tgz}
diff --git a/perl/perl-Text-Diff/perl-Text-Diff.info b/perl/perl-Text-Diff/perl-Text-Diff.info
new file mode 100644
index 0000000000..24fe83bb90
--- /dev/null
+++ b/perl/perl-Text-Diff/perl-Text-Diff.info
@@ -0,0 +1,10 @@
+PRGNAM="perl-Text-Diff"
+VERSION="1.41"
+HOMEPAGE="http://search.cpan.org/~ovid/Text-Diff-1.41/"
+DOWNLOAD="http://search.cpan.org/CPAN/authors/id/O/OV/OVID/Text-Diff-1.41.tar.gz"
+MD5SUM="30d56e6dd5551ca16b8e16cc7299dc21"
+DOWNLOAD_x86_64=""
+MD5SUM_x86_64=""
+REQUIRES="perl-Algorithm-Diff"
+MAINTAINER="LEVAI Daniel"
+EMAIL="leva@ecentrum.hu"
diff --git a/perl/perl-Text-Diff/slack-desc b/perl/perl-Text-Diff/slack-desc
new file mode 100644
index 0000000000..68ad21bb5d
--- /dev/null
+++ b/perl/perl-Text-Diff/slack-desc
@@ -0,0 +1,19 @@
+# HOW TO EDIT THIS FILE:
+# The "handy ruler" below makes it easier to edit a package description.
+# Line up the first '|' above the ':' following the base package name, and
+# the '|' on the right side marks the last column you can put a character in.
+# You must make exactly 11 lines for the formatting to be correct. It's also
+# customary to leave one space after the ':' except on otherwise blank lines.
+
+ |-----handy-ruler------------------------------------------------------|
+perl-Text-Diff: perl-Text-Diff (Perform diffs on files and record sets)
+perl-Text-Diff:
+perl-Text-Diff: diff() provides a basic set of services akin to the GNU diff utility.
+perl-Text-Diff: It is not anywhere near as feature complete as GNU diff, but it is
+perl-Text-Diff: better integrated with Perl and available on all platforms.
+perl-Text-Diff: It is often faster than shelling out to a system's diff executable for
+perl-Text-Diff: small files, and generally slower on larger files.
+perl-Text-Diff:
+perl-Text-Diff: Homepage: http://search.cpan.org/~ovid/Text-Diff-1.41/
+perl-Text-Diff:
+perl-Text-Diff: